<!DOCTYPE HTML>
<html lang="es">
<head>
<!-- Generated by javadoc (17) on Fri Jun 03 20:10:18 CDT 2022 -->
<title>Encriptar</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2022-06-03">
<meta name="description" content="declaration: package: registros.mensajes, class: Encriptar">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
<script type="text/javascript" src="../../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-declaration-page">
<script type="text/javascript">var evenRowColor = "even-row-color";
var oddRowColor = "odd-row-color";
var tableTab = "table-tab";
var activeTableTab = "active-table-tab";
var pathtoroot = "../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top">
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html#class">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field-summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor-summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method-summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li><a href="#field-detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor-detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method-detail">Method</a></li>
</ul>
</div>
<div class="nav-list-search"><label for="search-input">SEARCH:</label>
<input type="text" id="search-input" value="search" disabled="disabled">
<input type="reset" id="reset-button" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="sub-title"><span class="package-label-in-type">Package</span>&nbsp;<a href="package-summary.html">registros.mensajes</a></div>
<h1 title="Class Encriptar" class="title">Class Encriptar</h1>
</div>
<div class="inheritance" title="Inheritance Tree"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">java.lang.Object</a>
<div class="inheritance">registros.mensajes.Encriptar</div>
</div>
<section class="class-description" id="class-description">
<hr>
<div class="type-signature"><span class="modifiers">public class </span><span class="element-name type-name-label">Encriptar</span>
<span class="extends-implements">extends <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a></span></div>
</section>
<section class="summary">
<ul class="summary-list">
<!-- =========== FIELD SUMMARY =========== -->
<li>
<section class="field-summary" id="field-summary">
<h2>Field Summary</h2>
<div class="caption"><span>Fields</span></div>
<div class="summary-table three-column-summary">
<div class="table-header col-first">Modifier and Type</div>
<div class="table-header col-second">Field</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color"><code>protected static <a href="../../estructurasLineales/ListaEstatica.html" title="class in estructurasLineales">ListaEstatica</a></code></div>
<div class="col-second even-row-color"><code><a href="#pagina1" class="member-name-link">pagina1</a></code></div>
<div class="col-last even-row-color">&nbsp;</div>
<div class="col-first odd-row-color"><code>protected static <a href="../../estructurasLineales/ListaEstatica.html" title="class in estructurasLineales">ListaEstatica</a></code></div>
<div class="col-second odd-row-color"><code><a href="#pagina10" class="member-name-link">pagina10</a></code></div>
<div class="col-last odd-row-color">&nbsp;</div>
<div class="col-first even-row-color"><code>protected static <a href="../../estructurasLineales/ListaEstatica.html" title="class in estructurasLineales">ListaEstatica</a></code></div>
<div class="col-second even-row-color"><code><a href="#pagina11" class="member-name-link">pagina11</a></code></div>
<div class="col-last even-row-color">&nbsp;</div>
<div class="col-first odd-row-color"><code>protected static <a href="../../estructurasLineales/ListaEstatica.html" title="class in estructurasLineales">ListaEstatica</a></code></div>
<div class="col-second odd-row-color"><code><a href="#pagina12" class="member-name-link">pagina12</a></code></div>
<div class="col-last odd-row-color">&nbsp;</div>
<div class="col-first even-row-color"><code>protected static <a href="../../estructurasLineales/ListaEstatica.html" title="class in estructurasLineales">ListaEstatica</a></code></div>
<div class="col-second even-row-color"><code><a href="#pagina13" class="member-name-link">pagina13</a></code></div>
<div class="col-last even-row-color">&nbsp;</div>
<div class="col-first odd-row-color"><code>protected static <a href="../../estructurasLineales/ListaEstatica.html" title="class in estructurasLineales">ListaEstatica</a></code></div>
<div class="col-second odd-row-color"><code><a href="#pagina14" class="member-name-link">pagina14</a></code></div>
<div class="col-last odd-row-color">&nbsp;</div>
<div class="col-first even-row-color"><code>protected static <a href="../../estructurasLineales/ListaEstatica.html" title="class in estructurasLineales">ListaEstatica</a></code></div>
<div class="col-second even-row-color"><code><a href="#pagina15" class="member-name-link">pagina15</a></code></div>
<div class="col-last even-row-color">&nbsp;</div>
<div class="col-first odd-row-color"><code>protected static <a href="../../estructurasLineales/ListaEstatica.html" title="class in estructurasLineales">ListaEstatica</a></code></div>
<div class="col-second odd-row-color"><code><a href="#pagina16" class="member-name-link">pagina16</a></code></div>
<div class="col-last odd-row-color">&nbsp;</div>
<div class="col-first even-row-color"><code>protected static <a href="../../estructurasLineales/ListaEstatica.html" title="class in estructurasLineales">ListaEstatica</a></code></div>
<div class="col-second even-row-color"><code><a href="#pagina17" class="member-name-link">pagina17</a></code></div>
<div class="col-last even-row-color">&nbsp;</div>
<div class="col-first odd-row-color"><code>protected static <a href="../../estructurasLineales/ListaEstatica.html" title="class in estructurasLineales">ListaEstatica</a></code></div>
<div class="col-second odd-row-color"><code><a href="#pagina18" class="member-name-link">pagina18</a></code></div>
<div class="col-last odd-row-color">&nbsp;</div>
<div class="col-first even-row-color"><code>protected static <a href="../../estructurasLineales/ListaEstatica.html" title="class in estructurasLineales">ListaEstatica</a></code></div>
<div class="col-second even-row-color"><code><a href="#pagina19" class="member-name-link">pagina19</a></code></div>
<div class="col-last even-row-color">&nbsp;</div>
<div class="col-first odd-row-color"><code>protected static <a href="../../estructurasLineales/ListaEstatica.html" title="class in estructurasLineales">ListaEstatica</a></code></div>
<div class="col-second odd-row-color"><code><a href="#pagina2" class="member-name-link">pagina2</a></code></div>
<div class="col-last odd-row-color">&nbsp;</div>
<div class="col-first even-row-color"><code>protected static <a href="../../estructurasLineales/ListaEstatica.html" title="class in estructurasLineales">ListaEstatica</a></code></div>
<div class="col-second even-row-color"><code><a href="#pagina20" class="member-name-link">pagina20</a></code></div>
<div class="col-last even-row-color">&nbsp;</div>
<div class="col-first odd-row-color"><code>protected static <a href="../../estructurasLineales/ListaEstatica.html" title="class in estructurasLineales">ListaEstatica</a></code></div>
<div class="col-second odd-row-color"><code><a href="#pagina3" class="member-name-link">pagina3</a></code></div>
<div class="col-last odd-row-color">&nbsp;</div>
<div class="col-first even-row-color"><code>protected static <a href="../../estructurasLineales/ListaEstatica.html" title="class in estructurasLineales">ListaEstatica</a></code></div>
<div class="col-second even-row-color"><code><a href="#pagina4" class="member-name-link">pagina4</a></code></div>
<div class="col-last even-row-color">&nbsp;</div>
<div class="col-first odd-row-color"><code>protected static <a href="../../estructurasLineales/ListaEstatica.html" title="class in estructurasLineales">ListaEstatica</a></code></div>
<div class="col-second odd-row-color"><code><a href="#pagina5" class="member-name-link">pagina5</a></code></div>
<div class="col-last odd-row-color">&nbsp;</div>
<div class="col-first even-row-color"><code>protected static <a href="../../estructurasLineales/ListaEstatica.html" title="class in estructurasLineales">ListaEstatica</a></code></div>
<div class="col-second even-row-color"><code><a href="#pagina6" class="member-name-link">pagina6</a></code></div>
<div class="col-last even-row-color">&nbsp;</div>
<div class="col-first odd-row-color"><code>protected static <a href="../../estructurasLineales/ListaEstatica.html" title="class in estructurasLineales">ListaEstatica</a></code></div>
<div class="col-second odd-row-color"><code><a href="#pagina7" class="member-name-link">pagina7</a></code></div>
<div class="col-last odd-row-color">&nbsp;</div>
<div class="col-first even-row-color"><code>protected static <a href="../../estructurasLineales/ListaEstatica.html" title="class in estructurasLineales">ListaEstatica</a></code></div>
<div class="col-second even-row-color"><code><a href="#pagina8" class="member-name-link">pagina8</a></code></div>
<div class="col-last even-row-color">&nbsp;</div>
<div class="col-first odd-row-color"><code>protected static <a href="../../estructurasLineales/ListaEstatica.html" title="class in estructurasLineales">ListaEstatica</a></code></div>
<div class="col-second odd-row-color"><code><a href="#pagina9" class="member-name-link">pagina9</a></code></div>
<div class="col-last odd-row-color">&nbsp;</div>
<div class="col-first even-row-color"><code>protected static <a href="../../estructurasLineales/PilaEstatica.html" title="class in estructurasLineales">PilaEstatica</a></code></div>
<div class="col-second even-row-color"><code><a href="#pila" class="member-name-link">pila</a></code></div>
<div class="col-last even-row-color">&nbsp;</div>
<div class="col-first odd-row-color"><code>protected static <a href="../../estructurasLineales/PilaEstatica.html" title="class in estructurasLineales">PilaEstatica</a></code></div>
<div class="col-second odd-row-color"><code><a href="#pilaTexto" class="member-name-link">pilaTexto</a></code></div>
<div class="col-last odd-row-color">&nbsp;</div>
<div class="col-first even-row-color"><code>protected static <a href="../../estructurasLineales/ListaEstatica.html" title="class in estructurasLineales">ListaEstatica</a></code></div>
<div class="col-second even-row-color"><code><a href="#texto" class="member-name-link">texto</a></code></div>
<div class="col-last even-row-color">&nbsp;</div>
</div>
</section>
</li>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li>
<section class="constructor-summary" id="constructor-summary">
<h2>Constructor Summary</h2>
<div class="caption"><span>Constructors</span></div>
<div class="summary-table two-column-summary">
<div class="table-header col-first">Constructor</div>
<div class="table-header col-last">Description</div>
<div class="col-constructor-name even-row-color"><code><a href="#%3Cinit%3E()" class="member-name-link">Encriptar</a>()</code></div>
<div class="col-last even-row-color">&nbsp;</div>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li>
<section class="method-summary" id="method-summary">
<h2>Method Summary</h2>
<div id="method-summary-table">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button id="method-summary-table-tab0" role="tab" aria-selected="true" aria-controls="method-summary-table.tabpanel" tabindex="0" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table', 3)" class="active-table-tab">All Methods</button><button id="method-summary-table-tab1" role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table-tab1', 3)" class="table-tab">Static Methods</button><button id="method-summary-table-tab4" role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table-tab4', 3)" class="table-tab">Concrete Methods</button></div>
<div id="method-summary-table.tabpanel" role="tabpanel">
<div class="summary-table three-column-summary" aria-labelledby="method-summary-table-tab0">
<div class="table-header col-first">Modifier and Type</div>
<div class="table-header col-second">Method</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code>static <a href="../../estructurasLineales/PilaEstatica.html" title="class in estructurasLineales">PilaEstatica</a></code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code><a href="#codificar(java.lang.String)" class="member-name-link">codificar</a><wbr>(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;archivo)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4">
<div class="block">public Encriptar(String archivo) {
        texto = ArchivoTexto.leer(archivo);
        pilaTexto = new PilaEstatica(archivo.length());

    }</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code>static void</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code><a href="#hipervinculos(java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String)" class="member-name-link">hipervinculos</a><wbr>(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;archivo1,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;archivo2,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;archivo3,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;archivo4,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;archivo5,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;archivo6,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;archivo7,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;archivo8,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;archivo9,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;archivo10,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;archivo11,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;archivo12,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;archivo13,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;archivo14,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;archivo15,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;archivo16,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;archivo17,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;archivo18,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;archivo19,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;archivo20)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4">&nbsp;</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code>static void</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code><a href="#historial()" class="member-name-link">historial</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4">&nbsp;</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code>static <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a></code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code><a href="#imprimirMensajeCodificado()" class="member-name-link">imprimirMensajeCodificado</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4">&nbsp;</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code>static void</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code><a href="#imprimirMensajeDecodificado(java.lang.String)" class="member-name-link">imprimirMensajeDecodificado</a><wbr>(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;archivo)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4">&nbsp;</div>
</div>
</div>
</div>
<div class="inherited-list">
<h3 id="methods-inherited-from-class-java.lang.Object">Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a></h3>
<code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#clone()" title="class or interface in java.lang" class="external-link">clone</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang" class="external-link">equals</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#finalize()" title="class or interface in java.lang" class="external-link">finalize</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#getClass()" title="class or interface in java.lang" class="external-link">getClass</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#hashCode()" title="class or interface in java.lang" class="external-link">hashCode</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#notify()" title="class or interface in java.lang" class="external-link">notify</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#notifyAll()" title="class or interface in java.lang" class="external-link">notifyAll</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#toString()" title="class or interface in java.lang" class="external-link">toString</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#wait()" title="class or interface in java.lang" class="external-link">wait</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#wait(long)" title="class or interface in java.lang" class="external-link">wait</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#wait(long,int)" title="class or interface in java.lang" class="external-link">wait</a></code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="details-list">
<!-- ============ FIELD DETAIL =========== -->
<li>
<section class="field-details" id="field-detail">
<h2>Field Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="texto">
<h3>texto</h3>
<div class="member-signature"><span class="modifiers">protected static</span>&nbsp;<span class="return-type"><a href="../../estructurasLineales/ListaEstatica.html" title="class in estructurasLineales">ListaEstatica</a></span>&nbsp;<span class="element-name">texto</span></div>
</section>
</li>
<li>
<section class="detail" id="pilaTexto">
<h3>pilaTexto</h3>
<div class="member-signature"><span class="modifiers">protected static</span>&nbsp;<span class="return-type"><a href="../../estructurasLineales/PilaEstatica.html" title="class in estructurasLineales">PilaEstatica</a></span>&nbsp;<span class="element-name">pilaTexto</span></div>
</section>
</li>
<li>
<section class="detail" id="pila">
<h3>pila</h3>
<div class="member-signature"><span class="modifiers">protected static</span>&nbsp;<span class="return-type"><a href="../../estructurasLineales/PilaEstatica.html" title="class in estructurasLineales">PilaEstatica</a></span>&nbsp;<span class="element-name">pila</span></div>
</section>
</li>
<li>
<section class="detail" id="pagina1">
<h3>pagina1</h3>
<div class="member-signature"><span class="modifiers">protected static</span>&nbsp;<span class="return-type"><a href="../../estructurasLineales/ListaEstatica.html" title="class in estructurasLineales">ListaEstatica</a></span>&nbsp;<span class="element-name">pagina1</span></div>
</section>
</li>
<li>
<section class="detail" id="pagina2">
<h3>pagina2</h3>
<div class="member-signature"><span class="modifiers">protected static</span>&nbsp;<span class="return-type"><a href="../../estructurasLineales/ListaEstatica.html" title="class in estructurasLineales">ListaEstatica</a></span>&nbsp;<span class="element-name">pagina2</span></div>
</section>
</li>
<li>
<section class="detail" id="pagina3">
<h3>pagina3</h3>
<div class="member-signature"><span class="modifiers">protected static</span>&nbsp;<span class="return-type"><a href="../../estructurasLineales/ListaEstatica.html" title="class in estructurasLineales">ListaEstatica</a></span>&nbsp;<span class="element-name">pagina3</span></div>
</section>
</li>
<li>
<section class="detail" id="pagina4">
<h3>pagina4</h3>
<div class="member-signature"><span class="modifiers">protected static</span>&nbsp;<span class="return-type"><a href="../../estructurasLineales/ListaEstatica.html" title="class in estructurasLineales">ListaEstatica</a></span>&nbsp;<span class="element-name">pagina4</span></div>
</section>
</li>
<li>
<section class="detail" id="pagina5">
<h3>pagina5</h3>
<div class="member-signature"><span class="modifiers">protected static</span>&nbsp;<span class="return-type"><a href="../../estructurasLineales/ListaEstatica.html" title="class in estructurasLineales">ListaEstatica</a></span>&nbsp;<span class="element-name">pagina5</span></div>
</section>
</li>
<li>
<section class="detail" id="pagina6">
<h3>pagina6</h3>
<div class="member-signature"><span class="modifiers">protected static</span>&nbsp;<span class="return-type"><a href="../../estructurasLineales/ListaEstatica.html" title="class in estructurasLineales">ListaEstatica</a></span>&nbsp;<span class="element-name">pagina6</span></div>
</section>
</li>
<li>
<section class="detail" id="pagina7">
<h3>pagina7</h3>
<div class="member-signature"><span class="modifiers">protected static</span>&nbsp;<span class="return-type"><a href="../../estructurasLineales/ListaEstatica.html" title="class in estructurasLineales">ListaEstatica</a></span>&nbsp;<span class="element-name">pagina7</span></div>
</section>
</li>
<li>
<section class="detail" id="pagina8">
<h3>pagina8</h3>
<div class="member-signature"><span class="modifiers">protected static</span>&nbsp;<span class="return-type"><a href="../../estructurasLineales/ListaEstatica.html" title="class in estructurasLineales">ListaEstatica</a></span>&nbsp;<span class="element-name">pagina8</span></div>
</section>
</li>
<li>
<section class="detail" id="pagina9">
<h3>pagina9</h3>
<div class="member-signature"><span class="modifiers">protected static</span>&nbsp;<span class="return-type"><a href="../../estructurasLineales/ListaEstatica.html" title="class in estructurasLineales">ListaEstatica</a></span>&nbsp;<span class="element-name">pagina9</span></div>
</section>
</li>
<li>
<section class="detail" id="pagina10">
<h3>pagina10</h3>
<div class="member-signature"><span class="modifiers">protected static</span>&nbsp;<span class="return-type"><a href="../../estructurasLineales/ListaEstatica.html" title="class in estructurasLineales">ListaEstatica</a></span>&nbsp;<span class="element-name">pagina10</span></div>
</section>
</li>
<li>
<section class="detail" id="pagina11">
<h3>pagina11</h3>
<div class="member-signature"><span class="modifiers">protected static</span>&nbsp;<span class="return-type"><a href="../../estructurasLineales/ListaEstatica.html" title="class in estructurasLineales">ListaEstatica</a></span>&nbsp;<span class="element-name">pagina11</span></div>
</section>
</li>
<li>
<section class="detail" id="pagina12">
<h3>pagina12</h3>
<div class="member-signature"><span class="modifiers">protected static</span>&nbsp;<span class="return-type"><a href="../../estructurasLineales/ListaEstatica.html" title="class in estructurasLineales">ListaEstatica</a></span>&nbsp;<span class="element-name">pagina12</span></div>
</section>
</li>
<li>
<section class="detail" id="pagina13">
<h3>pagina13</h3>
<div class="member-signature"><span class="modifiers">protected static</span>&nbsp;<span class="return-type"><a href="../../estructurasLineales/ListaEstatica.html" title="class in estructurasLineales">ListaEstatica</a></span>&nbsp;<span class="element-name">pagina13</span></div>
</section>
</li>
<li>
<section class="detail" id="pagina14">
<h3>pagina14</h3>
<div class="member-signature"><span class="modifiers">protected static</span>&nbsp;<span class="return-type"><a href="../../estructurasLineales/ListaEstatica.html" title="class in estructurasLineales">ListaEstatica</a></span>&nbsp;<span class="element-name">pagina14</span></div>
</section>
</li>
<li>
<section class="detail" id="pagina15">
<h3>pagina15</h3>
<div class="member-signature"><span class="modifiers">protected static</span>&nbsp;<span class="return-type"><a href="../../estructurasLineales/ListaEstatica.html" title="class in estructurasLineales">ListaEstatica</a></span>&nbsp;<span class="element-name">pagina15</span></div>
</section>
</li>
<li>
<section class="detail" id="pagina16">
<h3>pagina16</h3>
<div class="member-signature"><span class="modifiers">protected static</span>&nbsp;<span class="return-type"><a href="../../estructurasLineales/ListaEstatica.html" title="class in estructurasLineales">ListaEstatica</a></span>&nbsp;<span class="element-name">pagina16</span></div>
</section>
</li>
<li>
<section class="detail" id="pagina17">
<h3>pagina17</h3>
<div class="member-signature"><span class="modifiers">protected static</span>&nbsp;<span class="return-type"><a href="../../estructurasLineales/ListaEstatica.html" title="class in estructurasLineales">ListaEstatica</a></span>&nbsp;<span class="element-name">pagina17</span></div>
</section>
</li>
<li>
<section class="detail" id="pagina18">
<h3>pagina18</h3>
<div class="member-signature"><span class="modifiers">protected static</span>&nbsp;<span class="return-type"><a href="../../estructurasLineales/ListaEstatica.html" title="class in estructurasLineales">ListaEstatica</a></span>&nbsp;<span class="element-name">pagina18</span></div>
</section>
</li>
<li>
<section class="detail" id="pagina19">
<h3>pagina19</h3>
<div class="member-signature"><span class="modifiers">protected static</span>&nbsp;<span class="return-type"><a href="../../estructurasLineales/ListaEstatica.html" title="class in estructurasLineales">ListaEstatica</a></span>&nbsp;<span class="element-name">pagina19</span></div>
</section>
</li>
<li>
<section class="detail" id="pagina20">
<h3>pagina20</h3>
<div class="member-signature"><span class="modifiers">protected static</span>&nbsp;<span class="return-type"><a href="../../estructurasLineales/ListaEstatica.html" title="class in estructurasLineales">ListaEstatica</a></span>&nbsp;<span class="element-name">pagina20</span></div>
</section>
</li>
</ul>
</section>
</li>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li>
<section class="constructor-details" id="constructor-detail">
<h2>Constructor Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="&lt;init&gt;()">
<h3>Encriptar</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="element-name">Encriptar</span>()</div>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li>
<section class="method-details" id="method-detail">
<h2>Method Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="codificar(java.lang.String)">
<h3>codificar</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type"><a href="../../estructurasLineales/PilaEstatica.html" title="class in estructurasLineales">PilaEstatica</a></span>&nbsp;<span class="element-name">codificar</span><wbr><span class="parameters">(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;archivo)</span></div>
<div class="block">public Encriptar(String archivo) {
        texto = ArchivoTexto.leer(archivo);
        pilaTexto = new PilaEstatica(archivo.length());

    }</div>
</section>
</li>
<li>
<section class="detail" id="imprimirMensajeCodificado()">
<h3>imprimirMensajeCodificado</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a></span>&nbsp;<span class="element-name">imprimirMensajeCodificado</span>()</div>
</section>
</li>
<li>
<section class="detail" id="imprimirMensajeDecodificado(java.lang.String)">
<h3>imprimirMensajeDecodificado</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">imprimirMensajeDecodificado</span><wbr><span class="parameters">(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;archivo)</span></div>
</section>
</li>
<li>
<section class="detail" id="hipervinculos(java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String)">
<h3>hipervinculos</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">hipervinculos</span><wbr><span class="parameters">(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;archivo1,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;archivo2,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;archivo3,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;archivo4,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;archivo5,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;archivo6,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;archivo7,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;archivo8,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;archivo9,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;archivo10,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;archivo11,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;archivo12,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;archivo13,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;archivo14,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;archivo15,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;archivo16,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;archivo17,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;archivo18,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;archivo19,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;archivo20)</span></div>
</section>
</li>
<li>
<section class="detail" id="historial()">
<h3>historial</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">historial</span>()</div>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
<!-- ========= END OF CLASS DATA ========= -->
</main>
</div>
</div>
</body>
</html>
